const path = require('path');
module.exports = {
  publicPath: `/${process.env.VUE_APP_ROUTER}`,
  outputDir: process.env.VUE_APP_ROUTER,
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '9001',
    proxy: {
      '/ws': {
        target: 'https://broadcast.waityou24.cn', // https://broadcast.waityou24.cn
        ws: true,
      },
      '/files': {
        target: 'https://broadcast.waityou24.cn',
      },
      '/dev/point/one/v1/api': {
        target: 'http://127.0.0.1:12211', // http://127.0.0.1:12211
        changeOrigin: true,
        ws: false,
      },
      '/point/one/v1/api': {
        target: 'https://broadcast.waityou24.cn', // http://127.0.0.1:12211
        changeOrigin: true,
        ws: false,
      },
      // 团购
      '/dev/point/one/group/v1/api': {
        target: 'http://127.0.0.1:12213', // http://127.0.0.1:12213
        changeOrigin: true,
        ws: false,
      },
      '/point/one/group/v1/api': {
        target: 'https://broadcast.waityou24.cn', // http://127.0.0.1:12213
        changeOrigin: true,
        ws: false,
      },
      // 聊天
      '/dev/point/one/chat/v1/api': {
        target: 'http://127.0.0.1:12214', // http://127.0.0.1:12214
        changeOrigin: true,
        ws: false,
      },
      '/point/one/chat/v1/api': {
        target: 'https://broadcast.waityou24.cn', // http://127.0.0.1:12214
        changeOrigin: true,
        ws: false,
      },
      // 尊荣
      '/dev/point/one/zr/v1/api': {
        target: 'http://127.0.0.1:12212', // http://127.0.0.1:12212
        changeOrigin: true,
        ws: false,
      },
      '/point/one/zr/v1/api': {
        target: 'https://broadcast.waityou24.cn', // http://127.0.0.1:12212
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
